Javascript autocomplete


#1

I am using atom v1.0.0 on linux. Autocomplete is not working in javascript files. Do I need to install some package to get it working? If so, can somebody please point me to the right direction?


#2

By default, the only autocomplete suggestion providers that ship with Atom are for CSS, HTML and there’s one that suggests symbols from all open files. You will need packages like atom-ternjs to get “smart” suggestions for other languages. There’s a page on the autocomplete-plus wiki that lists all suggestion providers that are currently available.


#3

Thanks, that helped.